package com.base.biz.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BaseWxBaseMsgDTO {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("wx代号")
    private String wxdh;

    @ApiModelProperty("wx名称")
    private String wxzwmc;

    @ApiModelProperty("载荷类型")
    private String zhlx;

    @ApiModelProperty("轨道高度")
    private String gdgd;

    @ApiModelProperty("wx质量")
    private String wxzl;

    @ApiModelProperty("分辨率")
    private String fbl;

    @ApiModelProperty("幅宽")
    private String fk;

    @ApiModelProperty("迎风面积")
    private String yfmj;

    @ApiModelProperty("光压面积")
    private String gymj;

    @ApiModelProperty("固存容量")
    private String gcrl;

    @ApiModelProperty("支持中继类型")
    private String zczjlx;

    @ApiModelProperty("地球重力场模型阶数1(默认32.0)")
    private String dqzlcmxjs1;

    @ApiModelProperty("地球重力场模型阶数2(默认32.0)")
    private String dqzlcmxjs2;

    @ApiModelProperty("最大侧摆角")
    private String zzcbj;

    @ApiModelProperty("最小侧摆角")
    private String zxcbj;

    @ApiModelProperty("最大俯仰角")
    private String zdfyj;

    @ApiModelProperty("最小俯仰角")
    private String zxfyj;

    @ApiModelProperty("数传速率")
    private String scsl;

    @ApiModelProperty("信息速率")
    private String xxsl;

    @ApiModelProperty("eirp")
    private String eirp;

    @ApiModelProperty("操作类型(1-删除 2-修改 3-新增)")
    private String operaType;

    @ApiModelProperty("创建时间")
    private String creatTime;

    @ApiModelProperty("修改时间")
    private String updateTime;

}
