package com.base.biz.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FzTaskInfoReqDTO {

    @ApiModelProperty("当前步骤")
    private List<String> steps;

    @ApiModelProperty("任务状态 0 执行中 1 已完成 2异常")
    private String fzTaskState;

    @ApiModelProperty("最小优先级")
    private String priorityStart;

    @ApiModelProperty("最大优先级")
    private String priorityEnd;
    @ApiModelProperty("需求有效期开始时间")
    private Date startTime;
    @ApiModelProperty("需求有效期结束时间")
    private Date endTime;
    @ApiModelProperty("任务标识号")
    private List<String> reqIds;

}
