package com.base.plan.model.dto.request;

import com.base.task.model.Task;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class StripDTOListReqDTO {

    @ApiModelProperty("需求id运控")
    private List<String> reqIds;
    @ApiModelProperty("条带id")
    private List<String> ids;
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private Date endTime;
    @ApiModelProperty("任务状态")
    private String taskState;
    @ApiModelProperty("需求ids")
    private List<String> parentIds;
    List<Task> tasks;
}
