package com.base.plan.mq.model;

import com.base.orbit.mq.model.BaseHeadMqDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AreaOptimizationMqResultDTO {
    @ApiModelProperty("消息头")
    private BaseHeadMqDTO messageHeader;

    @ApiModelProperty("消息体")
    private AreaOptimizationMqReqIdResultDTO messageBody;

    private Category category;

    @ApiModelProperty("结果JSON文件生成相关信息")
    private List<FileOutputDTO> result;
}
