package com.base.track.model.dto.request;

import com.base.track.model.dto.KeyValueDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class StationTypeListDTO {

    @ApiModelProperty("中继星能里，0无，1一代，2二代")
    private List<KeyValueDTO<Integer,String>> relayTypeList;

    @ApiModelProperty("任务类型，0一体化，1测控，2接收")
    private List<KeyValueDTO<Integer,String>> missionTypeList;

    @ApiModelProperty("资源类型，0地面站，1中继星")
    private List<KeyValueDTO<Integer,String>> resourceTypeList;

    @ApiModelProperty("机动能力，0固定，1机动，2船载，3中继")
    private List<KeyValueDTO<Integer,String>> transportableTypeList;

}
