package com.base.track.model.dto.response;

import com.base.track.model.entity.SubPointData;
import com.base.track.model.enums.PayloadTypeEnums;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author cxl
 * @since 2022-06-20
 */
@Data
public class SubPointSatelliteListByDTO  {

    private PayloadTypeEnums payloadType;
    private String satelliteId;
    private String satelliteCode;
    private Date startTime;
    private Date endTime;
    @ApiModelProperty("最大幅宽")
    private String maxSwathWidth;

    @ApiModelProperty("视场角")
    private String fox;
    private List<SubPointData> subPointDataDTOS;

}