package com.base.track.model.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xj
 * @since 2022-06-23
 */
@Getter
@Setter
@TableName("visual_data")
@ApiModel(value = "可视化数值对象", description = "")
public class VisualData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    @ApiModelProperty("进出站id")
    @TableField("trbut_data_id")
    private String trbutDataId;

    @ApiModelProperty("仰角")
    @TableField("gradient_angle")
    private String gradientAngle;

    @ApiModelProperty("距离")
    @TableField("distance")
    private String distance;

    @ApiModelProperty("链路余量")
    @TableField("allowance")
    private String allowance;

    @ApiModelProperty("发生时间")
    @TableField("happen_time")
    private String happenTime;




}
