package com.base.api.client;


import com.base.api.model.request.QueryLinkCountDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "orbit-base-biz",contextId = "linkCount")
public interface LinkCountRpcService {

    // 根据地面站代号集合查询地面站信息
    @PostMapping(value = "/rpc/linkCount/count")
    Double linkCount(@RequestBody QueryLinkCountDTO req);

}
