package com.base.core.model.enums;

public enum StripAccessTypeEnums {
    /**
     * 光学敏捷星点目标访问计算
     */
    POINT_CCD_AGILE,
    /**
     * 普通光学星点目标访问计算
     */
    POINT_CCD_COMMON,
    /**
     * 电子星点目标访问计算
     */
    POINT_ELECTRONIC,

    /**
     * 雷达点目标访问计算
     */
    POINT_SAR,

    /**
     * 敏捷星区域目标访问计算
     */
    AREA_CCD_AGILE,

    /**
     * 普通光学星区域目标访问计算
     */
    AREA_CCD_COMMON,

    /**
     * 电子星区域目标访问计算
     */
    AREA_ELECTRONIC,

    /**
     * 雷达区域目标访问计算
     */
    AREA_SAR
}
