package com.base.orbit.mq.model;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  mq报文头信息
 */
@Data

public class BaseHeadMqDTO {

    @ApiModelProperty("通知类型")
    private String messageType;

    @ApiModelProperty("通知标识号:通知类型_发送标识_发送时间")
    private String messageId;

    @ApiModelProperty("发送方")
    private String originator;

    @ApiModelProperty("接收方")
    private String recipient;

    @ApiModelProperty("创建时间")
    private String creationTime;

}
