package com.plan.api.client;

import com.plan.api.model.AlgSchemeWindowPassRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(name = "orbit-base-plan", contextId = "windowPass")
public interface AlgSchemeWindowsPassRpcService {

    /**
     * 根据条带id查询条带
     */
    @PostMapping(value = "/rpc/window/getWindowsPass")
    public List<AlgSchemeWindowPassRpcDTO> getWindowsPass(List<String> windowIds);

}