package com.base.plan.controller.rpc;


import com.base.plan.service.AlgSchemeWindowsPassService;
import com.base.plan.service.StripService;
import com.plan.api.model.AlgSchemeWindowPassRpcDTO;
import com.plan.api.model.StripRpcDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("/rpc/window")
@RestController
@Slf4j
public class AlgSchemeWindowsPassRpcController {

    @Resource
    private AlgSchemeWindowsPassService algSchemeWindowsPassService;

    @RequestMapping(value = "/getWindowsPass", method = RequestMethod.POST)
    public List<AlgSchemeWindowPassRpcDTO> getWindowsPass(@RequestBody List<String> windowIds) {
        return algSchemeWindowsPassService.getWindowsPass(windowIds);
    }
}
