package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StepWindowDTO {

    //  卫星id
    private String uniqueKey;

    private String stepId;

    private String stationCode;

    private String stepName;

    private String windowId;

    private String stationWindowId;

    private String satelliteId;

    private String stationId;

    private Date startTime;

    private Date endTime;

    private int code;

    @ApiModelProperty("侧摆")
    private String rollAngle;

    @ApiModelProperty("圈号")
    private String circle;

}