package com.base.plan.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.base.plan.model.entity.StripCalcResult;

import java.util.List;

/**
 * @projectName: zklt-ch-server-ultra
 * @package: com.base.plan.service
 * @className: StripCalcResultService
 * @author: Nika
 * @description: 条带计算结果业务逻辑处理接口
 * @date: 2024/9/11 15:55
 */
public interface StripCalcResultService extends IService<StripCalcResult> {

    /**
     * 获取条带计算数据
     * @return
     */
    List<StripCalcResult> getStripCalcResult();
}
