package com.base.track.model.dto.request;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Data
public class AstronomyRequestDTO {

    @ApiParam(name = "satelliteIds", value = "卫星id列表")
    List<String> satelliteIds;
    @ApiParam(name = "stationIds", value = "地面站id集合")
    List<String> stationIds;
    @ApiParam(name = "startTime", value = "开始时间")
    String startTime;
    @ApiParam(name = "endTime", value = "结束时间")
    String endTime;

}
